<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::mrm::test::MRMCapabilityAgentTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1mrm.html">mrm</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1test_1_1_m_r_m_capability_agent_test.html">MRMCapabilityAgentTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1test_1_1_m_r_m_capability_agent_test-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::mrm::test::MRMCapabilityAgentTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Test harness for <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1_m_r_m_capability_agent.html">MRMCapabilityAgent</a></code> class.  
 <a href="classalexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1test_1_1_m_r_m_capability_agent_test.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::capabilityAgents::mrm::test::MRMCapabilityAgentTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1test_1_1_m_r_m_capability_agent_test__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1test_1_1_m_r_m_capability_agent_test_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1test_1_1_m_r_m_capability_agent_test_inherit__map" id="alexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1test_1_1_m_r_m_capability_agent_test_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::capabilityAgents::mrm::test::MRMCapabilityAgentTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1test_1_1_m_r_m_capability_agent_test__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1test_1_1_m_r_m_capability_agent_test_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1test_1_1_m_r_m_capability_agent_test_coll__map" id="alexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1test_1_1_m_r_m_capability_agent_test_coll__map">
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1test_1_1_mock_m_r_m_handler.html" title="alexaClientSDK::capability\lAgents::mrm::test::MockMRMHandler" alt="" coords="143,181,387,220"/>
<area shape="rect" id="node4" href="classalexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1_m_r_m_handler_interface.html" title="alexaClientSDK::capability\lAgents::mrm::MRMHandlerInterface" alt="" coords="148,93,383,132"/>
<area shape="rect" id="node5" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html" title="alexaClientSDK::avsCommon\l::utils::RequiresShutdown" alt="" coords="167,5,364,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a1757e37621bf57521b81a3f3804431d1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1test_1_1_m_r_m_capability_agent_test.html#a1757e37621bf57521b81a3f3804431d1">SetUp</a> () override</td></tr>
<tr class="separator:a1757e37621bf57521b81a3f3804431d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63d6b3000e6ee38cc0ab7f56aebc4225"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1test_1_1_m_r_m_capability_agent_test.html#a63d6b3000e6ee38cc0ab7f56aebc4225">TearDown</a> () override</td></tr>
<tr class="separator:a63d6b3000e6ee38cc0ab7f56aebc4225"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a15666e28e0bf4f1872cf129e9feb8535"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1_m_r_m_capability_agent.html">MRMCapabilityAgent</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1test_1_1_m_r_m_capability_agent_test.html#a15666e28e0bf4f1872cf129e9feb8535">m_mrmCA</a></td></tr>
<tr class="memdesc:a15666e28e0bf4f1872cf129e9feb8535"><td class="mdescLeft">&#160;</td><td class="mdescRight">Our MRM CA.  <a href="#a15666e28e0bf4f1872cf129e9feb8535">More...</a><br /></td></tr>
<tr class="separator:a15666e28e0bf4f1872cf129e9feb8535"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7c55d41632329e625e5d119b9aac99a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1test_1_1_mock_m_r_m_handler.html">MockMRMHandler</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1test_1_1_m_r_m_capability_agent_test.html#aa7c55d41632329e625e5d119b9aac99a">m_mockMRMHandlerPtr</a></td></tr>
<tr class="memdesc:aa7c55d41632329e625e5d119b9aac99a"><td class="mdescLeft">&#160;</td><td class="mdescRight">A pointer to a dummy MRMHandler. Since the CA takes the Handler by unique_ptr, we will keep the raw pointer.  <a href="#aa7c55d41632329e625e5d119b9aac99a">More...</a><br /></td></tr>
<tr class="separator:aa7c55d41632329e625e5d119b9aac99a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6049bdae6bcd62e647413d531f965378"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_speaker_manager.html">MockSpeakerManager</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1test_1_1_m_r_m_capability_agent_test.html#a6049bdae6bcd62e647413d531f965378">m_mockSpeakerManager</a></td></tr>
<tr class="memdesc:a6049bdae6bcd62e647413d531f965378"><td class="mdescLeft">&#160;</td><td class="mdescRight">A mock speaker manager.  <a href="#a6049bdae6bcd62e647413d531f965378">More...</a><br /></td></tr>
<tr class="separator:a6049bdae6bcd62e647413d531f965378"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8019e272a6ad923a54131ba877e29a21"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_user_inactivity_monitor.html">MockUserInactivityMonitor</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1test_1_1_m_r_m_capability_agent_test.html#a8019e272a6ad923a54131ba877e29a21">m_mockUserInactivityMonitor</a></td></tr>
<tr class="memdesc:a8019e272a6ad923a54131ba877e29a21"><td class="mdescLeft">&#160;</td><td class="mdescRight">A mock user inactivity monitor.  <a href="#a8019e272a6ad923a54131ba877e29a21">More...</a><br /></td></tr>
<tr class="separator:a8019e272a6ad923a54131ba877e29a21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9767ef218724b01951a9994a2564433e"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1test_1_1_waitable_exception_encountered_sender.html">WaitableExceptionEncounteredSender</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1test_1_1_m_r_m_capability_agent_test.html#a9767ef218724b01951a9994a2564433e">m_exceptionSender</a></td></tr>
<tr class="memdesc:a9767ef218724b01951a9994a2564433e"><td class="mdescLeft">&#160;</td><td class="mdescRight">A waitable exception sender.  <a href="#a9767ef218724b01951a9994a2564433e">More...</a><br /></td></tr>
<tr class="separator:a9767ef218724b01951a9994a2564433e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Test harness for <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1_m_r_m_capability_agent.html">MRMCapabilityAgent</a></code> class. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a1757e37621bf57521b81a3f3804431d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1757e37621bf57521b81a3f3804431d1">&#9670;&nbsp;</a></span>SetUp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::mrm::test::MRMCapabilityAgentTest::SetUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a63d6b3000e6ee38cc0ab7f56aebc4225"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63d6b3000e6ee38cc0ab7f56aebc4225">&#9670;&nbsp;</a></span>TearDown()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::mrm::test::MRMCapabilityAgentTest::TearDown </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a9767ef218724b01951a9994a2564433e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9767ef218724b01951a9994a2564433e">&#9670;&nbsp;</a></span>m_exceptionSender</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1test_1_1_waitable_exception_encountered_sender.html">WaitableExceptionEncounteredSender</a>&gt; alexaClientSDK::capabilityAgents::mrm::test::MRMCapabilityAgentTest::m_exceptionSender</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A waitable exception sender. </p>

</div>
</div>
<a id="aa7c55d41632329e625e5d119b9aac99a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7c55d41632329e625e5d119b9aac99a">&#9670;&nbsp;</a></span>m_mockMRMHandlerPtr</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1test_1_1_mock_m_r_m_handler.html">MockMRMHandler</a>* alexaClientSDK::capabilityAgents::mrm::test::MRMCapabilityAgentTest::m_mockMRMHandlerPtr</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A pointer to a dummy MRMHandler. Since the CA takes the Handler by unique_ptr, we will keep the raw pointer. </p>

</div>
</div>
<a id="a6049bdae6bcd62e647413d531f965378"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6049bdae6bcd62e647413d531f965378">&#9670;&nbsp;</a></span>m_mockSpeakerManager</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_speaker_manager.html">MockSpeakerManager</a>&gt; alexaClientSDK::capabilityAgents::mrm::test::MRMCapabilityAgentTest::m_mockSpeakerManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A mock speaker manager. </p>

</div>
</div>
<a id="a8019e272a6ad923a54131ba877e29a21"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8019e272a6ad923a54131ba877e29a21">&#9670;&nbsp;</a></span>m_mockUserInactivityMonitor</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_user_inactivity_monitor.html">MockUserInactivityMonitor</a>&gt; alexaClientSDK::capabilityAgents::mrm::test::MRMCapabilityAgentTest::m_mockUserInactivityMonitor</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A mock user inactivity monitor. </p>

</div>
</div>
<a id="a15666e28e0bf4f1872cf129e9feb8535"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a15666e28e0bf4f1872cf129e9feb8535">&#9670;&nbsp;</a></span>m_mrmCA</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1_m_r_m_capability_agent.html">MRMCapabilityAgent</a>&gt; alexaClientSDK::capabilityAgents::mrm::test::MRMCapabilityAgentTest::m_mrmCA</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Our MRM CA. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/CapabilityAgents/MRM/test/<a class="el" href="_m_r_m_capability_agent_test_8cpp.html">MRMCapabilityAgentTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
